#version 330 core

in vec2 varTexCoord;

#ifdef COLOR
uniform vec3 color;
#else
uniform sampler2DRect debuggedBuffer;
#endif

// OUTPUT

layout(location = 0)out vec4 outColor;

// MAIN PROGRAM

void main(void) {
    vec4 texel = texture(debuggedBuffer, varTexCoord);
    outColor = vec4(texel.rgb, 1.0);
}
