#version 330 core

layout(location = 0)in vec2 inPosition;

uniform vec2 origin;
uniform vec2 size;

out vec2 varTexCoord;

void main(void) {
    varTexCoord = (inPosition + vec2(1.0))/2.0;
    gl_Position = vec4(origin + inPosition * size, 0.0, 1.0);
}
